std::minus(3)

NAME
std::minus - std::minus

Synopsis
   Defined in header <functional>
   template<> (since C++14)
   class minus<void>;
   std::minus<void> is a specialization of std::minus with parameter and return type
   deduced.

Member functions
   operator() returns the difference of two arguments
              (public member function) std::minus<void>::operator()
   template< class T, class U >
   constexpr auto operator()( T&& lhs, U&& rhs ) const
       -> decltype(std::forward<T>(lhs) - std::forward<U>(rhs));
   Returns the difference of lhs and rhs.

Parameters
   lhs, rhs - values to subtract

Return value
   std::forward<T>(lhs) - std::forward<U>(rhs).

Example
// Run this code
 #include <complex>
 #include <functional>
 #include <iostream>
 int main()
 {
     auto complex_minus = std::minus<void>{}; // “void” can be omitted
     constexpr std::complex<int> z(4, 2);
     std::cout << complex_minus(z, 1) << '\n';
     std::cout << (z - 1) << '\n';
 }

Output:
 (3,2)
 (3,2)